<?php
/*
 * $Id: config.php.default,v 1.2 2001/08/09 03:17:50 mdean Exp $
 *
 * Double Choco Latte - Source Configuration Management System
 * Copyright (C) 1999  Michael L. Dean & Tim R. Norman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Select License Info from the Help menu to view the terms and conditions of this license.
 */

/***********************************************************************************************
 * Edit this section                                                                           *
 ***********************************************************************************************/
// Database connection info - see INSTALL for help
$dcl_domain_info['default'] = array(
		'name' => 'Default',
		'dbType' => 'pgsql',
		'dbHost' => 'localhost',
		'dbPort' => '5432',
		'dbName' => 'dcl',
		'dbUser' => 'nobody',
		'dbPassword' => '',
		'dbVersionMjr' => 7, // Used for pgsql
		'dbVersionMnr' => 1, // unused
		'dbVersionRev' => 2, // unused
		'dbVersionExt' => '' // unused
	);

$dcl_domain = 'default';

// Method used to redirect browser to different URL
// Valid options: meta (use meta http-equiv refresh) or php (php header function)
// Note: if cookieMethod is meta, it will override a redir of php with meta.
$redirMethod = 'php';

// Method used to set cookies
// Valid options: meta (use meta http-equiv setcookie), php (php setcookie function), or header (php header function)
$cookieMethod = 'header';

/***********************************************************************************************
 * Do NOT edit this section!!!  This sets up the environment for DCL.                          *
 ***********************************************************************************************/
// Force magic_quotes_runtime to be off - DO NOT CHANGE OR YOUR DATA MAY GET EXTRA \'s IN IT!
set_magic_quotes_runtime(0);

$reg = array();
if (IsSet($GLOBALS['DCLINFO']) && !IsSet($GLOBALS['UID']))
{
	if (ereg('(.*)/(.*)/(.*)/(.*)/(.*)', $GLOBALS['DCLINFO'], $reg))
		$dcl_domain = $reg[5];
}
elseif (IsSet($GLOBALS['UID']) && IsSet($GLOBALS['DOMAIN']))
{
	$dcl_domain = $GLOBALS['DOMAIN'];
}

if (!IsSet($GLOBALS[strtoupper($dcl_domain_info[$dcl_domain]['dbType']) . '_PHP3_INCLUDED'])) 
	include(sprintf('%s.php', $dcl_domain_info[$dcl_domain]['dbType']));

if (!IsSet($GLOBALS['DBCONFIG_PHP_INCLUDED'])) 
{
	include('inc/class.dbConfig.inc.php');
	$GLOBALS['DBCONFIG_PHP_INCLUDED'] = 1;
}

// Load config options from db
$oConfig = new dbConfig;
$dcl_info = array();
$oConfig->Load();

if (count($reg) > 0)
{
	$dcl_info['DCL_DEFAULT_LANGUAGE'] = $reg[4];
}
?>
